function mesh = zerogrowth( mesh, mi )
%mesh = zerogrowth( mesh, mi )
%   Set the specified growth factors (by default, all of them) to zero, and
%   their production rates and clamp settings.

    setGlobals();
    global gNEW_A_PAR gNEW_A_PER gNEW_B_PAR gNEW_B_PER;

    if nargin==1
        mesh.morphogens(:,:) = 0;
        if mesh.versioninfo.mgenversion==1
            mesh.morphogens(:,[gNEW_A_PAR gNEW_A_PER gNEW_B_PAR gNEW_B_PER]) = 1;
        end
        mesh.morphogenclamp(:,:) = 0;
        mesh.mgen_production(:,:) = 0;
    else
        mesh.morphogens(:,mi) = 0;
        mesh.morphogenclamp(:,mi) = 0;
        mesh.mgen_production(:,mi) = 0;
    end

    mesh.saved = 0;
end
